makedefs revision 1.1.1.2 1 #!/bin/sh
2
3 #++
4 # NAME
5 # makedefs 1
6 # SUMMARY
7 # makefile configuration utility
8 # SYNOPSIS
9 # \fBmake makefiles \fIname=value...\fR
10 # DESCRIPTION
11 # The \fBmakedefs\fR command identifies the compilation
12 # environment, and emits macro definitions on the standard output
13 # stream that can be prepended to template Makefiles.
14 #
15 # Default settings can be overruled by specifying them as
16 # environment variables. Use quotes if variables contain
17 # whitespace or shell meta characters.
18 # .IP \fBAUXLIBS=\fIobject_library...\fR
19 # Specifies one or more non-default object libraries.
20 # .IP \fBCC=\fIcompiler_command\fR
21 # Specifies a non-default compiler. On many systems, the default
22 # is \fBgcc\fR.
23 # .IP \fBCCARGS=\fIcompiler_arguments\fR
24 # Specifies non-default compiler arguments, for example, a non-default
25 # \fIinclude\fR directory.
26 # The following directives are special:
27 # .RS
28 # .IP \fB-DNO_DEVPOLL\fR
29 # Do not build with Solaris /dev/poll support.
30 # By default, /dev/poll support is compiled in on platforms that
31 # are known to support it.
32 # .IP \fB-DNO_EPOLL\fR
33 # Do not build with Linux EPOLL support.
34 # By default, EPOLL support is compiled in on platforms that
35 # are known to support it.
36 # .IP \fB-DNO_IPV6\fR
37 # Do not build with IPv6 support.
38 # By default, IPv6 support is compiled in on platforms that
39 # are known to have IPv6 support.
40 #
41 # Note: this directive is for debugging and testing only. It
42 # is not guaranteed to work on all platforms.
43 # .IP \fB-DNO_KQUEUE\fR
44 # Do not build with FreeBSD/NetBSD/OpenBSD/MacOSX KQUEUE support.
45 # By default, KQUEUE support is compiled in on platforms that
46 # are known to support it.
47 # .IP \fB-DNO_PCRE\fR
48 # Do not build with PCRE support.
49 # By default, PCRE support is compiled in when the \fBpcre-config\fR
50 # utility is installed.
51 # .IP \fB-DNO_SIGSETJMP\fR
52 # Use setjmp()/longjmp() instead of sigsetjmp()/siglongjmp().
53 # By default, Postfix uses sigsetjmp()/siglongjmp() when they
54 # appear to work.
55 # .RE
56 # .IP \fBDEBUG=\fIdebug_level\fR
57 # Specifies a non-default debugging level. The default is \fB-g\fR.
58 # Specify \fBDEBUG=\fR to turn off debugging.
59 # .IP \fBOPT=\fIoptimization_level\fR
60 # Specifies a non-default optimization level. The default is \fB-O\fR.
61 # Specify \fBOPT=\fR to turn off optimization.
62 # .IP \fBWARN=\fIwarning_flags\fR
63 # Specifies non-default gcc compiler warning options for use when
64 # "make" is invoked in a source subdirectory only.
65 # LICENSE
66 # .ad
67 # .fi
68 # The Secure Mailer license must be distributed with this software.
69 # AUTHOR(S)
70 # Wietse Venema
71 # IBM T.J. Watson Research
72 # P.O. Box 704
73 # Yorktown Heights, NY 10598, USA
74 #--
75
76 # Emit system-dependent Makefile macro definitions to standard output.
77
78 # Defaults for most sane systems
79
80 RANLIB=ranlib
81 SYSLIBS=
82 AR=ar
83 ARFL=rv
84
85 # Ugly function to make our error message more visible among the
86 # garbage that is output by some versions of make(1).
87
88 # By now all shells must have functions.
89
90 error() {
91 # Alas, tput(1) is not portable so we can't use visual effects.
92 echo "ATTENTION:" 1>&2;
93 echo "ATTENTION:" $* 1>&2;
94 echo "ATTENTION:" 1>&2;
95 exit 1
96 }
97
98 case $# in
99 # Officially supported usage.
100 0) SYSTEM=`(uname -s) 2>/dev/null`
101 RELEASE=`(uname -r) 2>/dev/null`
102 VERSION=`(uname -v) 2>/dev/null`
103 case "$VERSION" in
104 dcosx*) SYSTEM=$VERSION;;
105 esac;;
106 # Unsupported debug-only mode. Not suitable for cross-platform tests.
107 2) SYSTEM="$1"; RELEASE="$2";;
108 *) echo usage: $0 [system release] 1>&2; exit 1;;
109 esac
110
111 case "$SYSTEM.$RELEASE" in
112 SCO_SV.3.2) SYSTYPE=SCO5
113 # Use the native compiler by default
114 : ${CC="/usr/bin/cc -b elf"}
115 CCARGS="$CCARGS -DPIPES_CANT_FIONREAD $CCARGS"
116 SYSLIBS="-lsocket -ldbm"
117 RANLIB=echo
118 ;;
119 UnixWare.5*) SYSTYPE=UW7
120 # Use the native compiler by default
121 : ${CC=/usr/bin/cc}
122 RANLIB=echo
123 SYSLIBS="-lresolv -lsocket -lnsl"
124 ;;
125 UNIX_SV.4.2*) case "`uname -v`" in
126 2.1*) SYSTYPE=UW21
127 # Use the native compiler by default
128 : ${CC=/usr/bin/cc}
129 RANLIB=echo
130 SYSLIBS="-lresolv -lsocket -lnsl -lc -L/usr/ucblib -lucb"
131 ;;
132 *) error "Seems to be UnixWare`uname -v`. Untested.";;
133 esac
134 ;;
135 FreeBSD.2*) SYSTYPE=FREEBSD2
136 ;;
137 FreeBSD.3*) SYSTYPE=FREEBSD3
138 ;;
139 FreeBSD.4*) SYSTYPE=FREEBSD4
140 ;;
141 FreeBSD.5*) SYSTYPE=FREEBSD5
142 ;;
143 FreeBSD.6*) SYSTYPE=FREEBSD6
144 ;;
145 FreeBSD.7*) SYSTYPE=FREEBSD7
146 ;;
147 FreeBSD.8*) SYSTYPE=FREEBSD8
148 ;;
149 OpenBSD.2*) SYSTYPE=OPENBSD2
150 ;;
151 OpenBSD.3*) SYSTYPE=OPENBSD3
152 ;;
153 OpenBSD.4*) SYSTYPE=OPENBSD4
154 ;;
155 ekkoBSD.1*) SYSTYPE=EKKOBSD1
156 ;;
157 NetBSD.1*) SYSTYPE=NETBSD1
158 ;;
159 NetBSD.2*) SYSTYPE=NETBSD2
160 ;;
161 NetBSD.3*) SYSTYPE=NETBSD3
162 ;;
163 NetBSD.4*) SYSTYPE=NETBSD4
164 ;;
165 BSD/OS.2*) SYSTYPE=BSDI2
166 ;;
167 BSD/OS.3*) SYSTYPE=BSDI3
168 ;;
169 BSD/OS.4*) SYSTYPE=BSDI4
170 ;;
171 OSF1.V[3-5].*) SYSTYPE=OSF1
172 # Use the native compiler by default
173 : ${CC=cc}
174 : ${DEBUG="-g3"}
175 case $RELEASE in
176 V[0-4].*) CCARGS="$CCARGS -DNO_IPV6";;
177 esac
178 ;;
179 SunOS.4*) SYSTYPE=SUNOS4
180 SYSLIBS=-lresolv
181 ;;
182 SunOS.5*) SYSTYPE=SUNOS5
183 RANLIB=echo
184 SYSLIBS="-lresolv -lsocket -lnsl"
185 # Stock awk breaks with >10 files.
186 test -x /usr/xpg4/bin/awk && AWK=/usr/xpg4/bin/awk
187 # Solaris 2.5 added usleep() and POSIX regular expressions
188 case $RELEASE in
189 5.[0-4]) CCARGS="$CCARGS -DMISSING_USLEEP -DNO_POSIX_REGEXP";;
190 esac
191 # Solaris 8 added IPv6 and /dev/poll
192 case $RELEASE in
193 5.[0-7]|5.[0-7].*) CCARGS="$CCARGS -DNO_IPV6 -DNO_DEVPOLL";;
194 esac
195 # Solaris 9 added closefrom(), futimesat() and /dev/*random
196 case $RELEASE in
197 5.[0-8]|5.[0-8].*) CCARGS="$CCARGS -DNO_CLOSEFROM -DNO_DEV_URANDOM -DNO_FUTIMESAT";;
198 esac
199 # Work around broken str*casecmp(). Do it all here instead
200 # of having half the solution in the sys_defs.h file.
201 CCARGS="$CCARGS -Dstrcasecmp=fix_strcasecmp \
202 -Dstrncasecmp=fix_strncasecmp"
203 STRCASE="strcasecmp.o"
204 # Avoid common types of braindamage
205 case "$LD_LIBRARY_PATH" in
206 ?*) error "Don't set LD_LIBRARY_PATH";;
207 esac
208 case "${CC}" in
209 *" "*) ;;
210 *ucb*) error "Don't use /usr/ucb/cc or ucblib";;
211 cc*) case `which ${CC}` in
212 *ucb*) error "Don't use /usr/ucb/cc or ucblib";;
213 esac;;
214 esac
215 ;;
216 ULTRIX.4*) SYSTYPE=ULTRIX4
217 if [ -f /usr/local/lib/libdb.a ]; then
218 SYSLIBS="$SYSLIBS -ldb"
219 CCARGS="$CCARGS -DHAS_DB"
220 if [ -d /usr/local/include/db ]; then
221 CCARGS="$CCARGS -I/usr/local/include/db"
222 fi
223 fi
224 for l in syslog resolv; do
225 if [ -f /usr/local/lib/lib$l.a ]; then
226 SYSLIBS="$SYSLIBS -l$l"
227 fi
228 done
229 ;;
230 AIX.*) case "`uname -v`" in
231 5) SYSTYPE=AIX5
232 case "$CC" in
233 cc|*/cc|xlc|*/xlc) CCARGS="$CCARGS -w -blibpath:/usr/lib:/lib:/usr/local/lib";;
234 esac
235 CCARGS="$CCARGS -D_ALL_SOURCE -DHAS_POSIX_REGEXP"
236 ;;
237 4) SYSTYPE=AIX4
238 # How embarrassing...
239 case "$CC" in
240 cc|*/cc|xlc|*/xlc) OPT=; CCARGS="$CCARGS -w -blibpath:/usr/lib:/lib:/usr/local/lib";;
241 esac
242 CCARGS="$CCARGS -D_ALL_SOURCE -DHAS_POSIX_REGEXP"
243 ;;
244 3) SYSTYPE=AIX3
245 # How embarrassing...
246 case "$CC" in
247 cc|*/cc|xlc|*/xlc) OPT=; CCARGS="$CCARGS -w";;
248 esac
249 CCARGS="$CCARGS -D_ALL_SOURCE"
250 ;;
251 *) error "Unknown AIX version: `uname -v`.";;
252 esac;;
253 # Tested with RedHat 3.03 on 20020729.
254 Linux.1*) SYSTYPE=LINUX1
255 SYSLIBS="-ldb"
256 ;;
257 Linux.2*) SYSTYPE=LINUX2
258 # Postfix no longer needs DB 1.85 compatibility
259 if [ -f /usr/include/db.h ]
260 then
261 : we are all set
262 elif [ -f /usr/include/db/db.h ]
263 then
264 CCARGS="$CCARGS -I/usr/include/db"
265 else
266 # No, we're not going to try db1 db2 db3 etc.
267 # On a properly installed system, Postfix builds
268 # by including <db.h> and by linking with -ldb
269 echo "No <db.h> include file found." 1>&2
270 echo "Install the appropriate db*-devel package first." 1>&2
271 echo "See the RELEASE_NOTES file for more information." 1>&2
272 exit 1
273 fi
274 # GDBM locks the DBM .pag file after open. This breaks postmap.
275 # if [ -f /usr/include/gdbm-ndbm.h ]
276 # then
277 # CCARGS="$CCARGS -DHAS_DBM -DPATH_NDBM_H='<gdbm-ndbm.h>'"
278 # GDBM_LIBS=gdbm
279 # elif [ -f /usr/include/gdbm/ndbm.h ]
280 # then
281 # CCARGS="$CCARGS -DHAS_DBM -DPATH_NDBM_H='<gdbm/ndbm.h>'"
282 # GDBM_LIBS=gdbm
283 # fi
284 SYSLIBS="-ldb"
285 for name in nsl resolv $GDBM_LIBS
286 do
287 for lib in /usr/lib64 /lib64 /usr/lib /lib
288 do
289 test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
290 SYSLIBS="$SYSLIBS -l$name"
291 break
292 }
293 done
294 done
295 # Kernel 2.4 added IPv6
296 case "$RELEASE" in
297 2.[0-3].*) CCARGS="$CCARGS -DNO_IPV6";;
298 esac
299 # Kernel 2.6 added EPOLL
300 case "$RELEASE" in
301 2.[0-5].*) CCARGS="$CCARGS -DNO_EPOLL";;
302 # Workaround for retarded libc
303 2.6.*) trap 'rm -f makedefs.test makedefs.test.[co]' 1 2 3 15
304 cat >makedefs.test.c <<'EOF'
305 #include <sys/types.h>
306 #include <sys/epoll.h>
307 #include <errno.h>
308 #include <stdio.h>
309 #include <stdlib.h>
310
311 int main(int argc, char **argv)
312 {
313 int epoll_handle;
314
315 if ((epoll_handle = epoll_create(1)) < 0) {
316 perror("epoll_create");
317 exit(1);
318 }
319 exit(0);
320 }
321 EOF
322 ${CC-gcc} -o makedefs.test makedefs.test.c || exit 1
323 ./makedefs.test 2>/dev/null ||
324 CCARGS="$CCARGS -DNO_EPOLL"
325 rm -f makedefs.test makedefs.test.[co];;
326 esac
327 ;;
328 GNU.0*|GNU/kFreeBSD.[567]*)
329 SYSTYPE=GNU0
330 # Postfix no longer needs DB 1.85 compatibility
331 if [ -f /usr/include/db.h ]
332 then
333 : we are all set
334 elif [ -f /usr/include/db/db.h ]
335 then
336 CCARGS="$CCARGS -I/usr/include/db"
337 else
338 # No, we're not going to try db1 db2 db3 etc.
339 # On a properly installed system, Postfix builds
340 # by including <db.h> and by linking with -ldb
341 echo "No <db.h> include file found." 1>&2
342 echo "Install the appropriate db*-devel package first." 1>&2
343 echo "See the RELEASE_NOTES file for more information." 1>&2
344 exit 1
345 fi
346 SYSLIBS="-ldb"
347 for name in nsl resolv
348 do
349 for lib in /usr/lib64 /lib64 /usr/lib /lib
350 do
351 test -e $lib/lib$name.a -o -e $lib/lib$name.so && {
352 SYSLIBS="$SYSLIBS -l$name"
353 break
354 }
355 done
356 done
357 case "`uname -s`" in
358 GNU)
359 # currently no IPv6 support on Hurd
360 CCARGS="$CCARGS -DNO_IPV6"
361 ;;
362 esac
363 ;;
364 IRIX*.5.*) SYSTYPE=IRIX5
365 # Use the native compiler by default
366 : ${CC=cc} ${DEBUG="-g3"}
367 RANLIB=echo
368 ;;
369 IRIX*.6.*) SYSTYPE=IRIX6
370 # Use the native compiler by default, and allow nested comments.
371 : ${CC="cc -woff 1009,1116,1412"}
372 RANLIB=echo
373 ;;
374 HP-UX.A.09.*) SYSTYPE=HPUX9
375 SYSLIBS=-ldbm
376 CCARGS="$CCARGS -DMISSING_USLEEP"
377 if [ -f /usr/lib/libdb.a ]; then
378 CCARGS="$CCARGS -DHAS_DB"
379 SYSLIBS="$SYSLIBS -ldb"
380 fi
381 ;;
382 HP-UX.B.10.*) SYSTYPE=HPUX10
383 CCARGS="$CCARGS `nm /usr/lib/libc.a 2>/dev/null |
384 (grep usleep >/dev/null || echo '-DMISSING_USLEEP')`"
385 if [ -f /usr/lib/libdb.a ]; then
386 CCARGS="$CCARGS -DHAS_DB"
387 SYSLIBS=-ldb
388 fi
389 ;;
390 HP-UX.B.11.*) SYSTYPE=HPUX11
391 SYSLIBS=-lnsl
392 if [ -f /usr/lib/libdb.a ]; then
393 CCARGS="$CCARGS -DHAS_DB"
394 SYSLIBS="$SYSLIBS -ldb"
395 fi
396 ;;
397 ReliantUNIX-?.5.43) SYSTYPE=ReliantUnix543
398 RANLIB=echo
399 SYSLIBS="-lresolv -lsocket -lnsl"
400 ;;
401 Darwin.*) SYSTYPE=MACOSX
402 # Use the native compiler by default
403 : ${CC=cc}
404 # Darwin > 1.3 uses awk and flat_namespace
405 case $RELEASE in
406 1.[0-3]) AWK=gawk;;
407 *) AWK=awk
408 SYSLIBS=-flat_namespace;;
409 esac
410 # Darwin 7 adds IPv6 support, BIND_8_COMPAT, NO_NETINFO
411 case $RELEASE in
412 [1-6].*) CCARGS="$CCARGS -DNO_IPV6";;
413 *) CCARGS="$CCARGS -DBIND_8_COMPAT -DNO_NETINFO";;
414 esac
415 # kqueue and/or poll are broken up to and including MacOS X 10.5
416 CCARGS="$CCARGS -DNO_KQUEUE"
417 # # Darwin 8.11.1 has kqueue support, but let's play safe
418 # case $RELEASE in
419 # [1-8].*) CCARGS="$CCARGS -DNO_KQUEUE";;
420 # *) trap 'rm -f makedefs.test makedefs.test.[co]' 1 2 3 15
421 # cat >makedefs.test.c <<'EOF'
422 #/* Adapted from libevent. */
423 #
424 ##include <sys/types.h>
425 ##include <sys/event.h>
426 ##include <sys/time.h>
427 ##include <string.h>
428 ##include <stdlib.h>
429 ##include <stdio.h>
430 #
431 ##ifndef EV_SET
432 ##define EV_SET(kp, id, fi, fl, ffl, da, ud) do { \
433 # struct kevent *__kp = (kp); \
434 # __kp->ident = (id); \
435 # __kp->filter = (fi); \
436 # __kp->flags = (fl); \
437 # __kp->fflags = (ffl); \
438 # __kp->data = (da); \
439 # __kp->udata = (ud); \
440 # } while(0)
441 ##endif
442 #
443 #int main(int argc, char **argv)
444 #{
445 # int kq;
446 # struct kevent test_change;
447 # struct kevent test_result;
448 #
449 # if ((kq = kqueue()) < 0) {
450 # perror("kqueue");
451 # exit(1);
452 # }
453 ##define TEST_FD (-1)
454 #
455 # EV_SET(&test_change, TEST_FD, EVFILT_READ, EV_ADD, 0, 0, 0);
456 # if (kevent(kq,
457 # &test_change, sizeof(test_change) / sizeof(struct kevent),
458 # &test_result, sizeof(test_result) / sizeof(struct kevent),
459 # (struct timespec *) 0) != 1 ||
460 # test_result.ident != TEST_FD ||
461 # test_result.flags != EV_ERROR) {
462 # fprintf(stderr, "Error: kevent reports errors incorrectly\n");
463 # exit(1);
464 # }
465 # exit(0);
466 #}
467 #EOF
468 # $CC -o makedefs.test makedefs.test.c || exit 1
469 # ./makedefs.test 2>/dev/null ||
470 # CCARGS="$CCARGS -DNO_KQUEUE"
471 # rm -f makedefs.test makedefs.test.[co];;
472 # esac
473 ;;
474 dcosx.1*) SYSTYPE=DCOSX1
475 RANLIB=echo
476 SYSLIBS="-lresolv -lsocket -lnsl -lc -lrpcsvc -L/usr/ucblib -lucb"
477 ;;
478
479 ".") if [ -d /NextApps ]; then
480 SYSTYPE=`hostinfo | sed -n \
481 's/^.*NeXT Mach 3.*$/NEXTSTEP3/;/NEXTSTEP3/{p;q;}'`
482 if [ "$SYSTYPE" = "" ]; then
483 SYSTYPE=`hostinfo | sed -n \
484 's/^.*NeXT Mach 4.*$/OPENSTEP4/;/OPENSTEP4/{p;q;}'`
485 fi
486 : ${CC=cc}
487 RANLIB="sleep 5; ranlib"
488 else
489 error "Unable to determine your system type."
490 fi
491 ;;
492 *) error "Unknown system type: $SYSTEM $RELEASE";;
493 esac
494
495 #
496 # sigsetjmp()/siglongjmp() can be "better" than setjmp()/longjmp()
497 # if used wisely (that is: almost never, just like signals).
498 # Unfortunately some implementations have been buggy in the past.
499 #
500 case "$CCARGS" in
501 *-DNO_SIGSETJMP*) ;;
502 *) trap 'rm -f makedefs.test makedefs.test.[co]' 1 2 3 15
503 cat >makedefs.test.c <<'EOF'
504 #include <setjmp.h>
505 #include <stdlib.h>
506 #include <stdio.h>
507
508 static int count = 0;
509
510 int main(int argc, char **argv)
511 {
512 sigjmp_buf env;
513 int retval;
514
515 switch (retval = sigsetjmp(env, 1)) {
516 case 0:
517 siglongjmp(env, 12345);
518 case 12345:
519 break;
520 default:
521 fprintf(stderr, "Error: siglongjmp ignores second argument\n");
522 exit(1);
523 }
524
525 switch (retval = sigsetjmp(env, 1)) {
526 case 0:
527 if (count++ > 0) {
528 fprintf(stderr, "Error: not overriding siglongjmp(env, 0)\n");
529 exit(1);
530 }
531 siglongjmp(env, 0);
532 case 1:
533 break;
534 default:
535 fprintf(stderr, "Error: overriding siglongjmp(env, 0) with %d\n",
536 retval);
537 exit(1);
538 }
539 exit(0);
540 }
541 EOF
542 ${CC-gcc} -o makedefs.test makedefs.test.c || exit 1
543 ./makedefs.test 2>/dev/null ||
544 CCARGS="$CCARGS -DNO_SIGSETJMP"
545 rm -f makedefs.test makedefs.test.[co]
546 esac
547
548 #
549 # OpenSSL has no configuration query utility, but we don't try to
550 # guess. We assume includes in /usr/include/openssl and libraries in
551 # /usr/lib, or in their /usr/local equivalents. If the OpenSSL files
552 # are in a non-standard place, their locations need to be specified.
553 #
554 #case "$CCARGS" in
555 # *-DUSE_TLS*) ;;
556 # *-DNO_TLS*) ;;
557 # *) CCARGS="$CCARGS -DUSE_TLS"
558 # AUXLIBS="$AUXLIBS -lssl -lcrypto"
559 # ;;
560 #esac
561
562 #
563 # PCRE 3.x has a pcre-config utility so we don't have to guess.
564 #
565 case "$CCARGS" in
566 *-DHAS_PCRE*) ;;
567 *-DNO_PCRE*) ;;
568 *) pcre_cflags=`(pcre-config --cflags) 2>/dev/null` &&
569 pcre_libs=`(pcre-config --libs) 2>/dev/null` && {
570 CCARGS="$CCARGS -DHAS_PCRE $pcre_cflags"
571 AUXLIBS="$AUXLIBS $pcre_libs"
572 }
573 ;;
574 esac
575
576 # Defaults that can be overruled (make makefiles CC=cc OPT=-O6 DEBUG=)
577 # Disable optimizations by default when compiling for Purify. Disable
578 # optimizations by default with gcc 2.8, until the compiler is known to
579 # be OK. Those who dare can still overrule this (make makefiles OPT=-O).
580
581 case "$CC" in
582 *purify*) : ${OPT=};;
583 */gcc|gcc) case `$CC -v` in
584 "gcc version 2.8"*) : ${OPT=};;
585 esac;;
586 *CC) error "Don't use CC. That's the C++ compiler";;
587 *) : ${OPT='-O'};;
588 esac
589 #
590 # "gcc -W" 3.4.2 no longer reports functions that fail to return a
591 # result. Use "gcc -Wall -Wno-comment" instead. We'll figure out
592 # later if the other -Wmumble options are really redundant. Having
593 # een burned once by a compiler that lies about what warnings it
594 # produces, not taking that chance again.
595
596 : ${CC='gcc $(WARN)'} ${OPT='-O'} ${DEBUG='-g'} ${AWK=awk} \
597 ${WARN='-Wall -Wno-comment -Wformat -Wimplicit -Wmissing-prototypes \
598 -Wparentheses -Wstrict-prototypes -Wswitch -Wuninitialized \
599 -Wunused -Wno-missing-braces'}
600
601 export SYSTYPE AR ARFL RANLIB SYSLIBS CC OPT DEBUG AWK OPTS
602
603 # Snapshot only.
604 #CCARGS="$CCARGS -DSNAPSHOT"
605
606 # Non-production: needs thorough testing, or major changes are still
607 # needed before the code stabilizes.
608 #CCARGS="$CCARGS -DNONPROD"
609
610 sed 's/ / /g' <<EOF
611 SYSTYPE = $SYSTYPE
612 AR = $AR
613 ARFL = $ARFL
614 RANLIB = $RANLIB
615 SYSLIBS = $AUXLIBS $SYSLIBS
616 CC = $CC $CCARGS
617 OPT = $OPT
618 DEBUG = $DEBUG
619 AWK = $AWK
620 STRCASE = $STRCASE
621 EXPORT = AUXLIBS='$AUXLIBS' CCARGS='$CCARGS' OPT='$OPT' DEBUG='$DEBUG'
622 WARN = $WARN
623 EOF
624